import { NgZone } from '@angular/core';
import { IListenerHandle, IKeyboardShortcutListenerConstructorObject, IKeyboardShortcutListener } from './libraries/listener.library';
import { BlackListedKeyboardShortcutChecker } from './libraries/black-listed-key-bindings.library';
export declare class KeyboardShortcutService {
    private _listeners;
    private zone;
    /**
     * @readonly
     * @description A list of all available shortcut listeners
     * @property    {IKeyboardShortcutListener[]}
     */
    get listeners_read_only(): IKeyboardShortcutListener[];
    /**
     * @property {BlackListedKeyboardShortcutChecker}
     */
    blackListedKeyboardShortcutChecker: BlackListedKeyboardShortcutChecker;
    constructor(zone: NgZone);
    /**
     * @description                     Creates a listenerHandle using imported interface
     * @param listenerConstructorObject Interface that contains a KeyboardShortcutHandler
     * @returns                         an IListenerHandle
     */
    listen(listenerConstructorObject: IKeyboardShortcutListenerConstructorObject): IListenerHandle;
    private addListener;
    private getKeyFromEvent;
    private handleKeyboardEvent;
    /**
     * @description Used for testing, Sends a keyboard event
     * @param event a keyboard event
     */
    sendKeyboardEventToHandler(event: KeyboardEvent): void;
    private isEventFromInput;
    private removeListener;
}
